## load the tumor dataset
data("tumor")
attach(tumor)

## performs ROC-type analysis on the tumor dataset
contROC(SURG, CT, Fi)

## load the heart dataset
data("heart")
attach(heart)

## create a penalty matrix for the heart dataset
penalty <- matrix(c(0,0,0,0,0.25,0,0,0,0.5,0.25,0,0,1,0.5,0.25,0), nrow = 4)

## performs ROC-type analysis on the heart dataset
ordROC(PET, MRI, penalty = penalty)

## load the abpain dataset
data("abpain")
attach(abpain)

## separate the abpain dataset based on pre- and post-imaging diagnoses
pre <- data.frame(Pre1, Pre2, Pre3)
post <- data.frame(Post1, Post2, Post3)

## create a penalty matrix for the abpain dataset
penalty <- matrix(c(0,0,0,1,0,0,1,0.5,0), nrow = 3)

## performs ROC-type analysis on the abpain dataset
nomROC(Group, pre, post, penalty)
